local M = {}

local industryPrice = {
	["DUMMY"] = {333, 333},							--(Devilhunter) Заглушка, чтобы заводы не из мода не приводили к вылету
	["Chemical plant"] = {350, 400},				-- Химзавод
	["Coal mine"] = {250, 200},						-- Угольная шахта
	["Construction materials plant"] = {500, 200},	-- Завод Строй Материалов
	["Farm"] = {250, 200},							-- Ферма
	["Food processing plant"] = {500, 400},			-- Пищевая фабрика
	["Forest"] = {250, 200},						-- Лесозаготовка
	["Goods factory"] = {500, 300},					-- Производственное предприятие
	["Iron ore mine"] = {250, 200},					-- Железный рудник
	["Machine factory"] = {1000, 400},				-- Машиностроительныц завод
	["Oil refinery"] = {400, 400},					-- Нефтеперерабатывающий завод
	["Oil well"] = {250, 200},						-- Нефтянная скважина
	["Quarry"] = {250, 200},						-- Карьер -
	["Saw mill"] = {300, 200},						-- Лесопилка
	["Steel mill"] = {600, 400},					-- Сталелитейный Завод
	--
	["Cotton plantation"] = {300, 200},				-- Хлопковая ферма
	["Dairy farm"] = {300, 200},					-- Молочная ферма
	["Power plant"] = {400, 300},					-- Электростанция
	["Fertilizers factory"] = {250, 200},			-- Завод удобрений
	["Grain silo"] = {300, 200},					-- Зернохранилище
	["Landfill"] = {500, 150},						-- Свалка
	["Textile factory"] = {500, 300},				-- Текстильная фабрика
	-- ["Имя завода"] = {стоимость, обслуживание},
	}

local globalIndustryPriceModifier = 1000000						-- Модификатор стоимости
local globalIndustryRunningModifier = 1000						-- Модификатор обслуживания

function M.giveRunning(name)
	if industryPrice[name] then
		return industryPrice[name][2] * globalIndustryRunningModifier
	else 
		return industryPrice["DUMMY"][2] * globalIndustryRunningModifier
	end
end

function M.giveCost(name)
	if industryPrice[name] then
		return industryPrice[name][1] * globalIndustryPriceModifier
	else 
		return industryPrice["DUMMY"][1] * globalIndustryPriceModifier
	end
end

function M.giveDesc(name)
	if industryDesc[name] then
		return industryDesc[name]
	else
		return industryDesc["DUMMY"]
	end
end
return M